evolution-exchange-storage crashes constantly

Bug #26380 reported by Debian Bug Importer on 2005-11-29
10
Affects Status Importance Assigned to Milestone
evolution-exchange
Fix Released
Critical
libsoup
Invalid
Critical
evolution-exchange (Debian)
Fix Released
Unknown
evolution-exchange (Ubuntu)
Medium
Ubuntu Desktop Bugs
libsoup (Ubuntu)
Medium
Ubuntu Desktop Bugs

Bug Description

Automatically imported from Debian bug report #341305 http://bugs.debian.org/341305

Debian Bug Importer (debzilla) wrote :

Automatically imported from Debian bug report #341305 http://bugs.debian.org/341305

Debian Bug Importer (debzilla) wrote :
Download full text (9.4 KiB)

Message-ID: <email address hidden>
Date: Tue, 29 Nov 2005 16:50:42 -0600
From: Jason Martens <email address hidden>
To: <email address hidden>
Subject: evolution-exchange-storage crashes constantly

Subject: evolution-exchange-storage crashes constantly
Package: evolution-exchange
Version: 2.2.3-4
Severity: grave
Justification: renders package unusable

When using evolution with an exchange backend, I constantly receive the
message 'The Application "evolution-exchange-storage" has quit
unexpectedly.'. It happens about every couple minutes. I can sometimes
read several messages between crashes, but unless you are a severe
masochist, the package is really unusable which is why I have marked
this report as grave. I'm willing to do whatever is necessary to get
this working, because I rely on evolution-exchange for my day to day
work, and want to make sure it works right. :)

Jason

******* Backtrace report by bugbuddy included below **********
Backtrace was generated from '/usr/libexec/evolution-exchange-storage'

Using host libthread_db library "/lib/tls/libthread_db.so.1".
(no debugging symbols found)
(no debugging symbols found)
************ snip **********
(no debugging symbols found)
(no debugging symbols found)
[Thread debugging using libthread_db enabled]
[New Thread -1229825440 (LWP 18332)]
[New Thread -1229956176 (LWP 18333)]
(no debugging symbols found)
(no debugging symbols found)
********** snip ***********
(no debugging symbols found)
(no debugging symbols found)
0xb6ec2231 in __waitpid_nocancel () from /lib/tls/libpthread.so.0
#0 0xb6ec2231 in __waitpid_nocancel () from /lib/tls/libpthread.so.0
#1 0xb7b1eee3 in libgnomeui_module_info_get ()
   from /usr/lib/libgnomeui-2.so.0
#2 <signal handler called>
#3 0xb6f84bc2 in g_object_unref () from /usr/lib/libgobject-2.0.so.0
#4 0xb7b8a26d in soup_message_io_stop () from /usr/lib/libsoup-2.2.so.8
#5 0xb7b8a2f3 in soup_message_io_stop () from /usr/lib/libsoup-2.2.so.8
#6 0xb6f8e6ab in g_cclosure_marshal_VOID__VOID ()
   from /usr/lib/libgobject-2.0.so.0
#7 0xb6f8267b in g_closure_invoke () from /usr/lib/libgobject-2.0.so.0
#8 0xb6f91c9d in g_signal_stop_emission () from
/usr/lib/libgobject-2.0.so.0
#9 0xb6f93077 in g_signal_emit_valist () from
/usr/lib/libgobject-2.0.so.0
#10 0xb6f9342e in g_signal_emit () from /usr/lib/libgobject-2.0.so.0
#11 0xb7b9571c in soup_socket_get_remote_address ()
   from /usr/lib/libsoup-2.2.so.8
#12 0xb6f17b67 in g_vasprintf () from /usr/lib/libglib-2.0.so.0
#13 0xb6eee421 in g_main_context_dispatch () from
/usr/lib/libglib-2.0.so.0
#14 0xb6ef1687 in g_main_context_check () from /usr/lib/libglib-2.0.so.0
#15 0xb6ef1bd8 in g_main_loop_run () from /usr/lib/libglib-2.0.so.0
#16 0xb7070758 in bonobo_main () from /usr/lib/libbonobo-2.so.0
#17 0x08070fc4 in main ()

Thread 2 (Thread -1229956176 (LWP 18333)):
#0 0xb6c95d49 in poll () from /lib/tls/libc.so.6
No symbol table info available.
#1 0xb6ef157b in g_main_context_check () from /usr/lib/libglib-2.0.so.0
No symbol table info available.
#2 0xb6ef1bd8 in g_main_loop_run () from /usr/lib/libglib-2.0.so.0
No symbol table info available.
#3 0xb6ff1acf in link_thread_io_context () from
/usr...

Read more...

Download full text (10.5 KiB)

Jason Martens [<email address hidden>] wrote:
> Subject: evolution-exchange-storage crashes constantly
> Package: evolution-exchange
> Version: 2.2.3-4
> Severity: grave
> Justification: renders package unusable
>
>
> When using evolution with an exchange backend, I constantly receive the
> message 'The Application "evolution-exchange-storage" has quit
> unexpectedly.'. It happens about every couple minutes. I can sometimes
> read several messages between crashes, but unless you are a severe
> masochist, the package is really unusable which is why I have marked
> this report as grave. I'm willing to do whatever is necessary to get
> this working, because I rely on evolution-exchange for my day to day
> work, and want to make sure it works right. :)
>
> Jason
>
> ******* Backtrace report by bugbuddy included below **********
> Backtrace was generated from '/usr/libexec/evolution-exchange-storage'
>
> Using host libthread_db library "/lib/tls/libthread_db.so.1".
> (no debugging symbols found)
> (no debugging symbols found)
> ************ snip **********
> (no debugging symbols found)
> (no debugging symbols found)
> [Thread debugging using libthread_db enabled]
> [New Thread -1229825440 (LWP 18332)]
> [New Thread -1229956176 (LWP 18333)]
> (no debugging symbols found)
> (no debugging symbols found)
> ********** snip ***********
> (no debugging symbols found)
> (no debugging symbols found)
> 0xb6ec2231 in __waitpid_nocancel () from /lib/tls/libpthread.so.0
> #0 0xb6ec2231 in __waitpid_nocancel () from /lib/tls/libpthread.so.0
> #1 0xb7b1eee3 in libgnomeui_module_info_get ()
> from /usr/lib/libgnomeui-2.so.0
> #2 <signal handler called>
> #3 0xb6f84bc2 in g_object_unref () from /usr/lib/libgobject-2.0.so.0
> #4 0xb7b8a26d in soup_message_io_stop () from /usr/lib/libsoup-2.2.so.8
> #5 0xb7b8a2f3 in soup_message_io_stop () from /usr/lib/libsoup-2.2.so.8
> #6 0xb6f8e6ab in g_cclosure_marshal_VOID__VOID ()
> from /usr/lib/libgobject-2.0.so.0
> #7 0xb6f8267b in g_closure_invoke () from /usr/lib/libgobject-2.0.so.0
> #8 0xb6f91c9d in g_signal_stop_emission () from
> /usr/lib/libgobject-2.0.so.0
> #9 0xb6f93077 in g_signal_emit_valist () from
> /usr/lib/libgobject-2.0.so.0
> #10 0xb6f9342e in g_signal_emit () from /usr/lib/libgobject-2.0.so.0
> #11 0xb7b9571c in soup_socket_get_remote_address ()
> from /usr/lib/libsoup-2.2.so.8
> #12 0xb6f17b67 in g_vasprintf () from /usr/lib/libglib-2.0.so.0
> #13 0xb6eee421 in g_main_context_dispatch () from
> /usr/lib/libglib-2.0.so.0
> #14 0xb6ef1687 in g_main_context_check () from /usr/lib/libglib-2.0.so.0
> #15 0xb6ef1bd8 in g_main_loop_run () from /usr/lib/libglib-2.0.so.0
> #16 0xb7070758 in bonobo_main () from /usr/lib/libbonobo-2.so.0
> #17 0x08070fc4 in main ()
>
> Thread 2 (Thread -1229956176 (LWP 18333)):
> #0 0xb6c95d49 in poll () from /lib/tls/libc.so.6
> No symbol table info available.
> #1 0xb6ef157b in g_main_context_check () from /usr/lib/libglib-2.0.so.0
> No symbol table info available.
> #2 0xb6ef1bd8 in g_main_loop_run () from /usr/lib/libglib-2.0.so.0
> No symbol table info available.
> #3 0xb6ff1acf in link_thread_io_context () from
> /usr/lib/libORBit-2.so.0
> No symbo...

severity 341305 normal
--
*--* Mail: <email address hidden>
*--* Voice: 425.739.4247
*--* Fax: 425.827.9577
*--* HTTP://the-penguin.otak.com/~lawrence
--------------------------------------
- - - - - - O t a k i n c . - - - - -

Debian Bug Importer (debzilla) wrote :
Download full text (11.4 KiB)

Message-ID: <email address hidden>
Date: Tue, 29 Nov 2005 16:03:40 -0800
From: Lawrence Walton <email address hidden>
To: Jason Martens <email address hidden>, <email address hidden>
Subject: Re: Bug#341305: evolution-exchange-storage crashes constantly

--sdtB3X0nJg68CQEu
Content-Type: text/plain; charset=us-ascii
Content-Disposition: inline
Content-Transfer-Encoding: quoted-printable

Jason Martens [<email address hidden>] wrote:
> Subject: evolution-exchange-storage crashes constantly
> Package: evolution-exchange
> Version: 2.2.3-4
> Severity: grave
> Justification: renders package unusable
>=20
>=20
> When using evolution with an exchange backend, I constantly receive the
> message 'The Application "evolution-exchange-storage" has quit
> unexpectedly.'. It happens about every couple minutes. I can sometimes
> read several messages between crashes, but unless you are a severe
> masochist, the package is really unusable which is why I have marked
> this report as grave. I'm willing to do whatever is necessary to get
> this working, because I rely on evolution-exchange for my day to day
> work, and want to make sure it works right. :)
>=20
> Jason
>=20
> ******* Backtrace report by bugbuddy included below **********
> Backtrace was generated from '/usr/libexec/evolution-exchange-storage'
>=20
> Using host libthread_db library "/lib/tls/libthread_db.so.1".
> (no debugging symbols found)
> (no debugging symbols found)
> ************ snip **********
> (no debugging symbols found)
> (no debugging symbols found)
> [Thread debugging using libthread_db enabled]
> [New Thread -1229825440 (LWP 18332)]
> [New Thread -1229956176 (LWP 18333)]
> (no debugging symbols found)
> (no debugging symbols found)
> ********** snip ***********
> (no debugging symbols found)
> (no debugging symbols found)
> 0xb6ec2231 in __waitpid_nocancel () from /lib/tls/libpthread.so.0
> #0 0xb6ec2231 in __waitpid_nocancel () from /lib/tls/libpthread.so.0
> #1 0xb7b1eee3 in libgnomeui_module_info_get ()
> from /usr/lib/libgnomeui-2.so.0
> #2 <signal handler called>
> #3 0xb6f84bc2 in g_object_unref () from /usr/lib/libgobject-2.0.so.0
> #4 0xb7b8a26d in soup_message_io_stop () from /usr/lib/libsoup-2.2.so.8
> #5 0xb7b8a2f3 in soup_message_io_stop () from /usr/lib/libsoup-2.2.so.8
> #6 0xb6f8e6ab in g_cclosure_marshal_VOID__VOID ()
> from /usr/lib/libgobject-2.0.so.0
> #7 0xb6f8267b in g_closure_invoke () from /usr/lib/libgobject-2.0.so.0
> #8 0xb6f91c9d in g_signal_stop_emission () from
> /usr/lib/libgobject-2.0.so.0
> #9 0xb6f93077 in g_signal_emit_valist () from
> /usr/lib/libgobject-2.0.so.0
> #10 0xb6f9342e in g_signal_emit () from /usr/lib/libgobject-2.0.so.0
> #11 0xb7b9571c in soup_socket_get_remote_address ()
> from /usr/lib/libsoup-2.2.so.8
> #12 0xb6f17b67 in g_vasprintf () from /usr/lib/libglib-2.0.so.0
> #13 0xb6eee421 in g_main_context_dispatch () from
> /usr/lib/libglib-2.0.so.0
> #14 0xb6ef1687 in g_main_context_check () from /usr/lib/libglib-2.0.so.0
> #15 0xb6ef1bd8 in g_main_loop_run () from /usr/lib/libglib-2.0.so.0
> #16 0xb7070758 in bonobo_main () from /usr/lib/libbonobo-2.so.0
> #17 0x08070fc4 in main ()
>=20...

Debian Bug Importer (debzilla) wrote :

Message-ID: <email address hidden>
Date: Tue, 29 Nov 2005 16:06:41 -0800
From: Lawrence Walton <email address hidden>
To: <email address hidden>
Subject: severity

--9amGYk9869ThD9tj
Content-Type: text/plain; charset=us-ascii
Content-Disposition: inline
Content-Transfer-Encoding: quoted-printable

severity 341305 normal
--=20
*--* Mail: <email address hidden>
*--* Voice: 425.739.4247
*--* Fax: 425.827.9577
*--* HTTP://the-penguin.otak.com/~lawrence
--------------------------------------
- - - - - - O t a k i n c . - - - - -=20

--9amGYk9869ThD9tj
Content-Type: application/pgp-signature; name="signature.asc"
Content-Description: Digital signature
Content-Disposition: inline

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.2 (GNU/Linux)

iD8DBQFDjO0RsgPkFxgrWYkRAhOFAJ9dgArFcD0kCMeZI+jFV9LWglLZzgCfZOCY
ABC26ESsyA9Yz5KS8F7UiA8=
=aH75
-----END PGP SIGNATURE-----

--9amGYk9869ThD9tj--

Lawrence Walton wrote:

>Jason Martens [<email address hidden>] wrote:
>
>
>>Subject: evolution-exchange-storage crashes constantly
>>Package: evolution-exchange
>>Version: 2.2.3-4
>>Severity: grave
>>Justification: renders package unusable
>>
>>
>>When using evolution with an exchange backend, I constantly receive the
>>message 'The Application "evolution-exchange-storage" has quit
>>unexpectedly.'. It happens about every couple minutes. I can sometimes
>>read several messages between crashes, but unless you are a severe
>>masochist, the package is really unusable which is why I have marked
>>this report as grave. I'm willing to do whatever is necessary to get
>>this working, because I rely on evolution-exchange for my day to day
>>work, and want to make sure it works right. :)
>>
** Snip **

>Jason
>
>I'd try deleting you evolution profile first, this is non-trivial and you
>should:
>
>***** backup these files first ******
>
>before anything else.
>
>* how to kill a evolution profile
>
>Logout
>kill any left over processes that may be still running as you.
>
>Delete these
>
>eg
>
>
>
>rm -r ~/.evolution
>rm -r ~/.gnome2_private/Evolution
>rm -r ~/.gconf/apps/evolution
>
>
>After that try it again, and we can debug further.
>
>
I followed your instructions, and removed my evolution profile. After I
logged in, I launched evolution, re-created my account, and started
reading mail. After a short amount of time, I got the same message
about "evolution-exchange-storage" crashing. As I have been watching,
it seems like it only crashes after switching to a new folder on my
exchange account. I can then restart and that folder is selected, but
after switching to another folder, it crashes again. I have a lot of
folders... :)

Hope this helps.
Jason

Debian Bug Importer (debzilla) wrote :

Message-ID: <email address hidden>
Date: Wed, 30 Nov 2005 11:31:28 -0600
From: Jason Martens <email address hidden>
To: Lawrence Walton <email address hidden>,
 <email address hidden>
Subject: Re: Bug#341305: evolution-exchange-storage crashes constantly

Lawrence Walton wrote:

>Jason Martens [<email address hidden>] wrote:
>
>
>>Subject: evolution-exchange-storage crashes constantly
>>Package: evolution-exchange
>>Version: 2.2.3-4
>>Severity: grave
>>Justification: renders package unusable
>>
>>
>>When using evolution with an exchange backend, I constantly receive the
>>message 'The Application "evolution-exchange-storage" has quit
>>unexpectedly.'. It happens about every couple minutes. I can sometimes
>>read several messages between crashes, but unless you are a severe
>>masochist, the package is really unusable which is why I have marked
>>this report as grave. I'm willing to do whatever is necessary to get
>>this working, because I rely on evolution-exchange for my day to day
>>work, and want to make sure it works right. :)
>>
** Snip **

>Jason
>
>I'd try deleting you evolution profile first, this is non-trivial and you
>should:
>
>***** backup these files first ******
>
>before anything else.
>
>* how to kill a evolution profile
>
>Logout
>kill any left over processes that may be still running as you.
>
>Delete these
>
>eg
>
>
>
>rm -r ~/.evolution
>rm -r ~/.gnome2_private/Evolution
>rm -r ~/.gconf/apps/evolution
>
>
>After that try it again, and we can debug further.
>
>
I followed your instructions, and removed my evolution profile. After I
logged in, I launched evolution, re-created my account, and started
reading mail. After a short amount of time, I got the same message
about "evolution-exchange-storage" crashing. As I have been watching,
it seems like it only crashes after switching to a new folder on my
exchange account. I can then restart and that folder is selected, but
after switching to another folder, it crashes again. I have a lot of
folders... :)

Hope this helps.
Jason

The problem seems to get more severe over time. Currently,
evolution-exchange-backend crashes every time I open a different folder
or send an e-mail.

Jason

Debian Bug Importer (debzilla) wrote :

Message-ID: <email address hidden>
Date: Tue, 20 Dec 2005 11:04:33 -0600
From: Jason Martens <email address hidden>
To: <email address hidden>
Subject: Update to bug

The problem seems to get more severe over time. Currently,
evolution-exchange-backend crashes every time I open a different folder
or send an e-mail.

Jason

Perhaps you could run the process under valgrind, and get a backtrace
sometime before the crash? Sometimes this points to the source of the
problem, rather than the thing that ultimately causes the SEGV.

Thanks.

--
Clear skies,
Justin

References

[0] http://bugs.debian.org/cgi-bin/bugreport.cgi?archive=no&bug=341305

Debian Bug Importer (debzilla) wrote :

Message-ID: <20051228065911.GC29316@andromeda>
Date: Wed, 28 Dec 2005 01:59:11 -0500
From: Justin Pryzby <email address hidden>
To: <email address hidden>
Subject: valgrind

Perhaps you could run the process under valgrind, and get a backtrace
sometime before the crash? Sometimes this points to the source of the
problem, rather than the thing that ultimately causes the SEGV.

Thanks.

--
Clear skies,
Justin

References

[0] http://bugs.debian.org/cgi-bin/bugreport.cgi?archive=no&bug=341305

Justin Pryzby wrote:

>Perhaps you could run the process under valgrind, and get a backtrace
>sometime before the crash? Sometimes this points to the source of the
>problem, rather than the thing that ultimately causes the SEGV.
>
>
I ran "valgrind evolution 2> debug.txt. Attached is the debug stuff
generated. I hope this helps.

Jason

Debian Bug Importer (debzilla) wrote :
Download full text (27.5 KiB)

Message-ID: <email address hidden>
Date: Wed, 28 Dec 2005 12:06:16 -0600
From: Jason Martens <email address hidden>
To: Justin Pryzby <email address hidden>,
 <email address hidden>
Subject: Re: Bug#341305: valgrind

--------------020700060401030304030801
Content-Type: text/plain; charset=ISO-8859-1; format=flowed
Content-Transfer-Encoding: 7bit

Justin Pryzby wrote:

>Perhaps you could run the process under valgrind, and get a backtrace
>sometime before the crash? Sometimes this points to the source of the
>problem, rather than the thing that ultimately causes the SEGV.
>
>
I ran "valgrind evolution 2> debug.txt. Attached is the debug stuff
generated. I hope this helps.

Jason

--------------020700060401030304030801
Content-Type: text/plain;
 name="debug.txt"
Content-Transfer-Encoding: 7bit
Content-Disposition: inline;
 filename="debug.txt"

==12992== Memcheck, a memory error detector for x86-linux.
==12992== Copyright (C) 2002-2005, and GNU GPL'd, by Julian Seward et al.
==12992== Using valgrind-2.4.0, a program supervision framework for x86-linux.
==12992== Copyright (C) 2000-2005, and GNU GPL'd, by Julian Seward et al.
==12992== For more details, rerun with: -v
==12992==
==12992== Conditional jump or move depends on uninitialised value(s)
==12992== at 0x1B8ECB13: (within /lib/ld-2.3.5.so)
==12992== by 0x1B8E631C: (within /lib/ld-2.3.5.so)
==12992== by 0x1B8F2BDD: (within /lib/ld-2.3.5.so)
==12992== by 0x1B8E7675: (within /lib/ld-2.3.5.so)
==12992== by 0x1B8E47C6: (within /lib/ld-2.3.5.so)
==12992==
==12992== Conditional jump or move depends on uninitialised value(s)
==12992== at 0x1B8EC7D3: (within /lib/ld-2.3.5.so)
==12992== by 0x1B8E631C: (within /lib/ld-2.3.5.so)
==12992== by 0x1B8F2BDD: (within /lib/ld-2.3.5.so)
==12992== by 0x1B8E7675: (within /lib/ld-2.3.5.so)
==12992== by 0x1B8E47C6: (within /lib/ld-2.3.5.so)
==12992==
==12992== Conditional jump or move depends on uninitialised value(s)
==12992== at 0x1B8EC6B6: (within /lib/ld-2.3.5.so)
==12992== by 0x1B8E6376: (within /lib/ld-2.3.5.so)
==12992== by 0x1B8F2BDD: (within /lib/ld-2.3.5.so)
==12992== by 0x1B8E7675: (within /lib/ld-2.3.5.so)
==12992== by 0x1B8E47C6: (within /lib/ld-2.3.5.so)
==12992==
==12992== Conditional jump or move depends on uninitialised value(s)
==12992== at 0x1B8EC6C2: (within /lib/ld-2.3.5.so)
==12992== by 0x1B8E6376: (within /lib/ld-2.3.5.so)
==12992== by 0x1B8F2BDD: (within /lib/ld-2.3.5.so)
==12992== by 0x1B8E7675: (within /lib/ld-2.3.5.so)
==12992== by 0x1B8E47C6: (within /lib/ld-2.3.5.so)
==12992==
==12992== Conditional jump or move depends on uninitialised value(s)
==12992== at 0x1B8EC7D3: (within /lib/ld-2.3.5.so)
==12992== by 0x1B8E6376: (within /lib/ld-2.3.5.so)
==12992== by 0x1B8F2BDD: (within /lib/ld-2.3.5.so)
==12992== by 0x1B8E7675: (within /lib/ld-2.3.5.so)
==12992== by 0x1B8E47C6: (within /lib/ld-2.3.5.so)
==12992==
==12992== Conditional jump or move depends on uninitialised value(s)
==12992== at 0x1B8ECB13: (within /lib/ld-2.3.5.so)
==12992== by 0x1CCF0D69: (within /lib/tls/libc-2.3.5.so)
==12992== by 0x1B8EF026: (withi...

I still consider this bug grave, as I have to restart evolution after
every e-mail that I send and every time after changing to a different
folder. Can the priority be changed back to grave?

Debian Bug Importer (debzilla) wrote :

Message-ID: <email address hidden>
Date: Tue, 03 Jan 2006 11:30:35 -0600
From: Jason Martens <email address hidden>
To: <email address hidden>
Subject: Bug#341305: Still grave

I still consider this bug grave, as I have to restart evolution after
every e-mail that I send and every time after changing to a different
folder. Can the priority be changed back to grave?

Jason Martens [<email address hidden>] wrote:
> I still consider this bug grave, as I have to restart evolution after
> every e-mail that I send and every time after changing to a different
> folder. Can the priority be changed back to grave?
>
It is grave at the moment.
I'm pretty sure the bug is fixed in upstream packages, but alas it's stuck.
Check bug 344829.

If you want to try my experimental packages just ask.

--
*--* Mail: <email address hidden>
*--* Voice: 425.739.4247
*--* Fax: 425.827.9577
*--* HTTP://the-penguin.otak.com/~lawrence
--------------------------------------
- - - - - - O t a k i n c . - - - - -

Debian Bug Importer (debzilla) wrote :

Message-ID: <email address hidden>
Date: Tue, 3 Jan 2006 15:13:50 -0800
From: Lawrence Walton <email address hidden>
To: Jason Martens <email address hidden>, <email address hidden>
Subject: Re: Bug#341305: Still grave

--BOKacYhQ+x31HxR3
Content-Type: text/plain; charset=us-ascii
Content-Disposition: inline
Content-Transfer-Encoding: quoted-printable

Jason Martens [<email address hidden>] wrote:
> I still consider this bug grave, as I have to restart evolution after=20
> every e-mail that I send and every time after changing to a different=20
> folder. Can the priority be changed back to grave?
>=20
It is grave at the moment.
I'm pretty sure the bug is fixed in upstream packages, but alas it's stuck.
Check bug 344829.

If you want to try my experimental packages just ask.

--=20
*--* Mail: <email address hidden>
*--* Voice: 425.739.4247
*--* Fax: 425.827.9577
*--* HTTP://the-penguin.otak.com/~lawrence
--------------------------------------
- - - - - - O t a k i n c . - - - - -=20

--BOKacYhQ+x31HxR3
Content-Type: application/pgp-signature; name="signature.asc"
Content-Description: Digital signature
Content-Disposition: inline

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.2 (GNU/Linux)

iD8DBQFDuwUusgPkFxgrWYkRAplsAJ9hfQKCdumWPV+Ciotj7xwmYKVmegCeIZmO
PdQTQBF85Lw3weOjBTm7kTg=
=I9l5
-----END PGP SIGNATURE-----

--BOKacYhQ+x31HxR3--

Lawrence Walton wrote:

>Jason Martens [<email address hidden>] wrote:
>
>
>>I still consider this bug grave, as I have to restart evolution after
>>every e-mail that I send and every time after changing to a different
>>folder. Can the priority be changed back to grave?
>>
>>
>>
>It is grave at the moment.
>I'm pretty sure the bug is fixed in upstream packages, but alas it's stuck.
>Check bug 344829.
>
>
Oops, sorry. I saw the e-mail saying it was important, and missed the
one that put it back to grave. Sorry.

>If you want to try my experimental packages just ask.
>
>
>
Are your experimental packages the ones at
http://the-penguin.otak.com/~lawrence/tao/? Are they build against
testing, or experimental? I can't upgrade my entire system to
experimental, but if they will go into testing, I will gladly test them.

Thanks,
Jason Martens

>
>
>

Debian Bug Importer (debzilla) wrote :

Message-ID: <email address hidden>
Date: Tue, 03 Jan 2006 22:30:35 -0600
From: Jason Martens <email address hidden>
To: Lawrence Walton <email address hidden>
CC: <email address hidden>
Subject: Re: Bug#341305: Still grave

Lawrence Walton wrote:

>Jason Martens [<email address hidden>] wrote:
>
>
>>I still consider this bug grave, as I have to restart evolution after
>>every e-mail that I send and every time after changing to a different
>>folder. Can the priority be changed back to grave?
>>
>>
>>
>It is grave at the moment.
>I'm pretty sure the bug is fixed in upstream packages, but alas it's stuck.
>Check bug 344829.
>
>
Oops, sorry. I saw the e-mail saying it was important, and missed the
one that put it back to grave. Sorry.

>If you want to try my experimental packages just ask.
>
>
>
Are your experimental packages the ones at
http://the-penguin.otak.com/~lawrence/tao/? Are they build against
testing, or experimental? I can't upgrade my entire system to
experimental, but if they will go into testing, I will gladly test them.

Thanks,
Jason Martens

>
>
>

Package: evolution-exchange
Version: 2.4.2-1

This bug still exists in the current version of evolution exchange.
There is a bug filed upstream here:
*http://bugzilla.gnome.org/show_bug.cgi?id=328335.

Jason
*

My bug was marked as a duplicate of 318624. Please see here:
http://bugzilla.gnome.org/show_bug.cgi?id=318624

Jason

jasonmartens (me-jasonmartens) wrote :
Download full text (7.5 KiB)

This is still occuring. I tested in the current verision from Dapper today. Here is a link to the upstream bug:
http://bugzilla.gnome.org/show_bug.cgi?id=318624

Here is the backtrace:

Backtrace was generated from '/usr/libexec/evolution-exchange-storage'

(no debugging symbols found)
Using host libthread_db library "/lib/tls/i686/cmov/libthread_db.so.1".
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols fo...

Read more...

jasonmartens (me-jasonmartens) wrote :

Makes the package evolution-exchange essentially unuseable.

jasonmartens (me-jasonmartens) wrote :

Makes the package evolution-exchange unuseable.

Daniel Holbach (dholbach) wrote :

Seems to be fixed upstream. Could you try with the newest version in Ubuntu?

Changed in evolution-exchange:
status: Unconfirmed → Fix Committed
status: Unconfirmed → Needs Info
Download full text (5.0 KiB)

Package: evolution-exchange
Version: 2.4.2-1
Followup-For: Bug #341305

This is also occuring for me, have tried different versions of libsoup.
Application is essentially unusable.

-- System Information:
Debian Release: testing/unstable
  APT prefers testing
  APT policy: (500, 'testing'), (500, 'stable')
Architecture: i386 (i686)
Shell: /bin/sh linked to /bin/bash
Kernel: Linux 2.6.15-1-686
Locale: LANG=C, LC_CTYPE=C (charmap=ANSI_X3.4-1968)

Versions of packages evolution-exchange depends on:
ii evolution 2.4.2.1-1 The groupware suite
ii libart-2.0-2 2.3.17-1 Library of functions for 2D graphi
ii libatk1.0-0 1.10.3-1 The ATK accessibility toolkit
ii libaudiofile0 0.2.6-6 Open-source version of SGI's audio
ii libbonobo2-0 2.10.1-1 Bonobo CORBA interfaces library
ii libbonoboui2- 2.10.1-2 The Bonobo UI library
ii libc6 2.3.6-3 GNU C Library: Shared libraries an
ii libcairo2 1.0.2-3 The Cairo 2D vector graphics libra
ii libcamel1.2-6 1.4.2.1-1 The Evolution MIME message handlin
ii libcomerr2 1.38+1.39-WIP-2005.12.31-1 common error description library
ii libdb4.2 4.2.52-23.1 Berkeley v4.2 Database Libraries [
ii libebook1.2-5 1.4.2.1-1 Client library for evolution addre
ii libecal1.2-3 1.4.2.1-1 Client library for evolution calen
ii libedata-book 1.4.2.1-1 Backend library for evolution addr
ii libedata-cal1 1.4.2.1-1 Backend library for evolution cale
ii libedataserve 1.4.2.1-1 Utility library for evolution data
ii libedataserve 1.4.2.1-1 GUI utility library for evolution
ii libesd0 0.2.36-3 Enlightened Sound Daemon - Shared
ii libexchange-s 1.4.2.1-1 Backend library for evolution cale
ii libfontconfig 2.3.2-1.1 generic font configuration library
ii libfreetype6 2.1.10-1 FreeType 2 font engine, shared lib
ii libgail-commo 1.8.11-1 GNOME Accessibility Implementation
ii libgail17 1.8.11-1 GNOME Accessibility Implementation
ii libgconf2-4 2.12.1-12 GNOME configuration database syste
ii libgcrypt11 1.2.2-1 LGPL Crypto library - runtime libr
ii libglade2-0 1:2.5.1-2 library to load .glade files at ru
ii libglib2.0-0 2.8.6-1 The GLib library of C routines
ii libgnome-keyr 0.4.9-1 GNOME keyring services library
ii libgnome2-0 2.12.0.1-5 The GNOME 2 library - runtime file
ii libgnomecanva 2.12.0-2 A powerful object-oriented display
ii libgnomeprint 2.12.1-3 The GNOME 2.2 print architecture -
ii libgnomeprint 2.12.1-2 GNOME 2.2 print architecture User
ii libgnomeui-0 2.12.1-1 The GNOME 2 libraries (User Interf
ii libgnomevfs2- 2.12.2-5 GNOME virtual file-system (runtime
ii libgnutls11 1....

Read more...

I created a new bug in gnome bugzilla, because the other one was closed.
The new bug is http://bugzilla.gnome.org/show_bug.cgi?id=334798.

Jason

jasonmartens (me-jasonmartens) wrote :

My apologies, I didn't realize that I needed to subscribe to this bug. It has not been fixed. I tested today with an updated dapper system. I also filed a new upstream bug which is here:
http://bugzilla.gnome.org/show_bug.cgi?id=334798

Jason

jasonmartens (me-jasonmartens) wrote :

By the way, I consider this a grave bug, as it essentially renders the evolution connector unuseable.

Brendan Martens (shrift) wrote :
Download full text (7.7 KiB)

I experience the exact same problem. I am using the latest Dapper packages. Here is my backtrace, I hope that it is helpful;

Backtrace was generated from '/usr/libexec/evolution-exchange-storage'

(no debugging symbols found)
Using host libthread_db library "/lib/tls/i686/cmov/libthread_db.so.1".
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debuggin...

Read more...

Daniel Holbach (dholbach) wrote :

I can't reproduce the problem (I don't have such a setup), but it would very much help, if you'd get another backtrace with libglib2.0-0-dbg, libc6-dbg installed and please run the following steps before:

sudo apt-get build-dep libsoup
export DEB_BUILD_OPTIONS="nostrip noopt"
sudo apt-get source -b libsoup
sudo dpkg -i libsoup*.deb

Changed in evolution-exchange:
status: Needs Info → Confirmed
Brendan Martens (shrift) wrote :
Download full text (4.5 KiB)

Ok, here is a backtrace with the dbg packages you requested, and a recompiled libsoup. I also have evolution-dbg, and evolution-data-storage-dbg on. Let me know if I can do anyting else to help.

Backtrace was generated from '/usr/libexec/evolution-exchange-storage'

(no debugging symbols found)
Using host libthread_db library "/lib/tls/i686/cmov/libthread_db.so.1".
(no debugging symbols found)
[Thread debugging using libthread_db enabled]
[New Thread -1233544640 (LWP 26057)]
[New Thread -1233691728 (LWP 26058)]
0xffffe410 in __kernel_vsyscall ()
#0 0xffffe410 in __kernel_vsyscall ()
#1 0xb752895b in __waitpid_nocancel () from /lib/tls/i686/cmov/libc.so.6
#2 0xb7b11672 in libgnomeui_module_info_get ()
   from /usr/lib/libgnomeui-2.so.0
#3 <signal handler called>
#4 0xb6d29edc in io_read (sock=0x80f28b0, msg=0x816c2a0)
    at soup-message-io.c:522
#5 0xb69f5423 in g_cclosure_marshal_VOID__VOID ()
   from /usr/lib/libgobject-2.0.so.0
#6 0xb69e979f in g_closure_invoke () from /usr/lib/libgobject-2.0.so.0
#7 0xb69f84de in signal_emit_unlocked_R () from /usr/lib/libgobject-2.0.so.0
#8 0xb69f9ae9 in g_signal_emit_valist () from /usr/lib/libgobject-2.0.so.0
#9 0xb69f9e59 in g_signal_emit () from /usr/lib/libgobject-2.0.so.0
#10 0xb6d3750d in socket_read_watch (chan=0x829f480, cond=G_IO_IN,
    user_data=0x80f28b0) at soup-socket.c:1069
#11 0xb69674bc in g_io_unix_dispatch () from /usr/lib/libglib-2.0.so.0
#12 0xb69407d7 in g_main_context_dispatch () from /usr/lib/libglib-2.0.so.0
#13 0xb6943896 in g_main_context_iterate () from /usr/lib/libglib-2.0.so.0
#14 0xb6943bb8 in g_main_loop_run () from /usr/lib/libglib-2.0.so.0
#15 0xb6bfa477 in bonobo_main () from /usr/lib/libbonobo-2.so.0
#16 0x0805ae43 in main ()

Thread 2 (Thread -1233691728 (LWP 26058)):
#0 0xffffe410 in __kernel_vsyscall ()
No symbol table info available.
#1 0xb755c8b4 in poll () from /lib/tls/i686/cmov/libc.so.6
No symbol table info available.
#2 0xb69436e8 in g_main_context_iterate () from /usr/lib/libglib-2.0.so.0
No symbol table info available.
#3 0xb6943bb8 in g_main_loop_run () from /usr/lib/libglib-2.0.so.0
No symbol table info available.
#4 0xb6a5770e in link_thread_io_context () from /usr/lib/libORBit-2.so.0
No symbol table info available.
#5 0xb695c472 in g_thread_create_proxy () from /usr/lib/libglib-2.0.so.0
No symbol table info available.
#6 0xb69a6341 in start_thread () from /lib/tls/i686/cmov/libpthread.so.0
No symbol table info available.
#7 0xb75664de in clone () from /lib/tls/i686/cmov/libc.so.6
No symbol table info available.

Thread 1 (Thread -1233544640 (LWP 26057)):
#0 0xffffe410 in __kernel_vsyscall ()
No symbol table info available.
#1 0xb752895b in __waitpid_nocancel () from /lib/tls/i686/cmov/libc.so.6
No symbol table info available.
#2 0xb7b11672 in libgnomeui_module_info_get ()
   from /usr/lib/libgnomeui-2.so.0
No symbol table info available.
#3 <signal handler called>
No symbol table info available.
#4 0xb6d29edc in io_read (sock=0x80f28b0, msg=0x816c2a0)
    at soup-message-io.c:522
 priv = (SoupMessagePrivate *) 0x0
 io = (SoupMessageIOData *) 0xb6a17768
 status =...

Read more...

jasonmartens (me-jasonmartens) wrote :
Download full text (4.5 KiB)

I *think* I did this right. I rebooted after installing the custom built deb and installing the *dbg packages that you suggested.

Backtrace was generated from '/usr/libexec/evolution-exchange-storage'

(no debugging symbols found)
Using host libthread_db library "/lib/tls/i686/cmov/libthread_db.so.1".
(no debugging symbols found)
(no debugging symbols found)
<snip>
(no debugging symbols found)
(no debugging symbols found)
[Thread debugging using libthread_db enabled]
[New Thread -1233033536 (LWP 4941)]
[New Thread -1234453584 (LWP 4945)]
0xffffe410 in __kernel_vsyscall ()
#0 0xffffe410 in __kernel_vsyscall ()
#1 0xb754395b in __waitpid_nocancel () from /lib/tls/i686/cmov/libc.so.6
#2 0xb7b2c672 in libgnomeui_module_info_get ()
   from /usr/lib/libgnomeui-2.so.0
#3 <signal handler called>
#4 0xb6d44ec8 in io_read (sock=0x811fe58, msg=0x81280c8)
    at soup-message-io.c:522
#5 0xb6a10423 in g_cclosure_marshal_VOID__VOID ()
   from /usr/lib/libgobject-2.0.so.0
#6 0xb6a0479f in g_closure_invoke () from /usr/lib/libgobject-2.0.so.0
#7 0xb6a134de in signal_emit_unlocked_R () from /usr/lib/libgobject-2.0.so.0
#8 0xb6a14ae9 in g_signal_emit_valist () from /usr/lib/libgobject-2.0.so.0
#9 0xb6a14e59 in g_signal_emit () from /usr/lib/libgobject-2.0.so.0
#10 0xb6d524f9 in socket_read_watch (chan=0x826fb20, cond=G_IO_IN,
    user_data=0x811fe58) at soup-socket.c:1069
#11 0xb69824bc in g_io_unix_dispatch () from /usr/lib/libglib-2.0.so.0
#12 0xb695b7d7 in g_main_context_dispatch () from /usr/lib/libglib-2.0.so.0
#13 0xb695e896 in g_main_context_iterate () from /usr/lib/libglib-2.0.so.0
#14 0xb695ebb8 in g_main_loop_run () from /usr/lib/libglib-2.0.so.0
#15 0xb6c15477 in bonobo_main () from /usr/lib/libbonobo-2.so.0
#16 0x0805ae43 in main ()

Thread 2 (Thread -1234453584 (LWP 4945)):
#0 0xffffe410 in __kernel_vsyscall ()
No symbol table info available.
#1 0xb75778b4 in poll () from /lib/tls/i686/cmov/libc.so.6
No symbol table info available.
#2 0xb695e6e8 in g_main_context_iterate () from /usr/lib/libglib-2.0.so.0
No symbol table info available.
#3 0xb695ebb8 in g_main_loop_run () from /usr/lib/libglib-2.0.so.0
No symbol table info available.
#4 0xb6a7270e in link_thread_io_context () from /usr/lib/libORBit-2.so.0
No symbol table info available.
#5 0xb6977472 in g_thread_create_proxy () from /usr/lib/libglib-2.0.so.0
No symbol table info available.
#6 0xb69c1341 in start_thread () from /lib/tls/i686/cmov/libpthread.so.0
No symbol table info available.
#7 0xb75814de in clone () from /lib/tls/i686/cmov/libc.so.6
No symbol table info available.

Thread 1 (Thread -1233033536 (LWP 4941)):
#0 0xffffe410 in __kernel_vsyscall ()
No symbol table info available.
#1 0xb754395b in __waitpid_nocancel () from /lib/tls/i686/cmov/libc.so.6
No symbol table info available.
#2 0xb7b2c672 in libgnomeui_module_info_get ()
   from /usr/lib/libgnomeui-2.so.0
No symbol table info available.
#3 <signal handler called>
No symbol table info available.
#4 0xb6d44ec8 in io_read (sock=0x811fe58, msg=0x81280c8)
    at soup-message-io.c:522
 priv = (SoupMessagePrivate *) 0x0
 io = (SoupMessageIO...

Read more...

Brendan Martens (shrift) wrote :
Download full text (4.5 KiB)

Ok, here is a backtrace with the dbg packages you requested, and a recompiled libsoup. I also have evolution-dbg, and evolution-data-storage-dbg on. Let me know if I can do anyting else to help.

Backtrace was generated from '/usr/libexec/evolution-exchange-storage'

(no debugging symbols found)
Using host libthread_db library "/lib/tls/i686/cmov/libthread_db.so.1".
(no debugging symbols found)
[Thread debugging using libthread_db enabled]
[New Thread -1233544640 (LWP 26057)]
[New Thread -1233691728 (LWP 26058)]
0xffffe410 in __kernel_vsyscall ()
#0 0xffffe410 in __kernel_vsyscall ()
#1 0xb752895b in __waitpid_nocancel () from /lib/tls/i686/cmov/libc.so.6
#2 0xb7b11672 in libgnomeui_module_info_get ()
   from /usr/lib/libgnomeui-2.so.0
#3 <signal handler called>
#4 0xb6d29edc in io_read (sock=0x80f28b0, msg=0x816c2a0)
    at soup-message-io.c:522
#5 0xb69f5423 in g_cclosure_marshal_VOID__VOID ()
   from /usr/lib/libgobject-2.0.so.0
#6 0xb69e979f in g_closure_invoke () from /usr/lib/libgobject-2.0.so.0
#7 0xb69f84de in signal_emit_unlocked_R () from /usr/lib/libgobject-2.0.so.0
#8 0xb69f9ae9 in g_signal_emit_valist () from /usr/lib/libgobject-2.0.so.0
#9 0xb69f9e59 in g_signal_emit () from /usr/lib/libgobject-2.0.so.0
#10 0xb6d3750d in socket_read_watch (chan=0x829f480, cond=G_IO_IN,
    user_data=0x80f28b0) at soup-socket.c:1069
#11 0xb69674bc in g_io_unix_dispatch () from /usr/lib/libglib-2.0.so.0
#12 0xb69407d7 in g_main_context_dispatch () from /usr/lib/libglib-2.0.so.0
#13 0xb6943896 in g_main_context_iterate () from /usr/lib/libglib-2.0.so.0
#14 0xb6943bb8 in g_main_loop_run () from /usr/lib/libglib-2.0.so.0
#15 0xb6bfa477 in bonobo_main () from /usr/lib/libbonobo-2.so.0
#16 0x0805ae43 in main ()

Thread 2 (Thread -1233691728 (LWP 26058)):
#0 0xffffe410 in __kernel_vsyscall ()
No symbol table info available.
#1 0xb755c8b4 in poll () from /lib/tls/i686/cmov/libc.so.6
No symbol table info available.
#2 0xb69436e8 in g_main_context_iterate () from /usr/lib/libglib-2.0.so.0
No symbol table info available.
#3 0xb6943bb8 in g_main_loop_run () from /usr/lib/libglib-2.0.so.0
No symbol table info available.
#4 0xb6a5770e in link_thread_io_context () from /usr/lib/libORBit-2.so.0
No symbol table info available.
#5 0xb695c472 in g_thread_create_proxy () from /usr/lib/libglib-2.0.so.0
No symbol table info available.
#6 0xb69a6341 in start_thread () from /lib/tls/i686/cmov/libpthread.so.0
No symbol table info available.
#7 0xb75664de in clone () from /lib/tls/i686/cmov/libc.so.6
No symbol table info available.

Thread 1 (Thread -1233544640 (LWP 26057)):
#0 0xffffe410 in __kernel_vsyscall ()
No symbol table info available.
#1 0xb752895b in __waitpid_nocancel () from /lib/tls/i686/cmov/libc.so.6
No symbol table info available.
#2 0xb7b11672 in libgnomeui_module_info_get ()
   from /usr/lib/libgnomeui-2.so.0
No symbol table info available.
#3 <signal handler called>
No symbol table info available.
#4 0xb6d29edc in io_read (sock=0x80f28b0, msg=0x816c2a0)
    at soup-message-io.c:522
 priv = (SoupMessagePrivate *) 0x0
 io = (SoupMessageIOData *) 0xb6a17768
 status =...

Read more...

Brendan Martens (shrift) wrote :

Lol, sorry guys. Apparently when I refreshed my browser it was reposting what I put up last time. Sorry about that.

Daniel Holbach (dholbach) wrote :

Thank you very much. Looking at the backtrace, did you have libglib2.0-0-dbg, libgnomeui-0-dbg installed? Could you do the compile orgy for evolution-exchange too? Sorry for letting you know just now, the original backtrace didn't give me the hint it might be needed.

The advantage of having the debug symbols installed is, that we might find out, which values were passed to which function in which line and that might help the upstream developers to find out, what explodes and why.

Thanks again for going through all this and I hope Upstream gets it fixed that way.

jasonmartens (me-jasonmartens) wrote :
Download full text (5.4 KiB)

Try 2. Is this what you want?

Backtrace was generated from '/usr/libexec/evolution-exchange-storage'

(no debugging symbols found)
Using host libthread_db library "/lib/tls/i686/cmov/libthread_db.so.1".
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
[Thread debugging using libthread_db enabled]
[New Thread -1233254720 (LWP 4950)]
[New Thread -1234674768 (LWP 4951)]
0xffffe410 in __kernel_vsyscall ()
#0 0xffffe410 in __kernel_vsyscall ()
#1 0xb750d95b in __waitpid_nocancel () from /lib/tls/i686/cmov/libc.so.6
#2 0xb7af6672 in libgnomeui_segv_handle (signum=-512) at gnome-ui-init.c:792
#3 <signal handler called>
#4 0xb6d0eec8 in io_read (sock=0x8115038, msg=0x8127580)
    at soup-message-io.c:522
#5 0xb69da423 in g_cclosure_marshal_VOID__VOID ()
   from /usr/lib/libgobject-2.0.so.0
#6 0xb69ce79f in g_closure_invoke () from /usr/lib/libgobject-2.0.so.0
#7 0xb69dd4de in signal_emit_unlocked_R () from /usr/lib/libgobject-2.0.so.0
#8 0xb69deae9 in g_signal_emit_valist () from /usr/lib/libgobject-2.0.so.0
#9 0xb69dee59 in g_signal_emit () from /usr/lib/libgobject-2.0.so.0
#10 0xb6d1c4f9 in socket_read_watch (chan=0x84a7e20, cond=G_IO_IN,
    user_data=0x8115038) at soup-socket.c:1069
#11 0xb694c4bc in g_io_unix_dispatch () from /usr/lib/libglib-2.0.so.0
#12 0xb69257d7 in g_main_context_dispatch () from /usr/lib/libglib-2.0.so.0
#13 0xb6928896 in g_main_context_iterate () from /usr/lib/libglib-2.0.so.0
#14 0xb6928bb8 in g_main_loop_run () from /usr/lib/libglib-2.0.so.0
#15 0xb6bdf477 in bonobo_main () from /usr/lib/libbonobo-2.so.0
#16 0x0805ae43 in main ()

Thread 2 (Thread -1234674768 (LWP 4951)):
#0 0xffffe410 in __kernel_vsyscall ()
No symbol table info available.
#1 0xb75418b4 in poll () from /lib/tls/i686/cmov/libc.so.6
No symbol table info available.
#2 0xb69286e8 in g_main_context_iterate () from /usr/lib/libglib-2.0.so.0
No symbol table info available.
#3 0xb6928bb8 in g_main_loop_run () from /usr/lib/libglib-2.0.so.0
No symbol table info available.
#4 0xb6a3c70e in link_thread_io_context () from /usr/lib/libORBit-2.so.0
No symbol table info available.
#5 0xb6941472 in g_thread_create_proxy () from /usr/lib/libglib-2.0.so.0
No symbol table info available.
#6 0xb698b341 in start_thread () from /lib/tls/i686/cmov/libpthread.so.0
No symbol table info available.
#7 0xb754b4de in clone () from /lib/tls/i686/cmov/libc.so.6
No symbol table info available.

Thread 1 (Thread -1233254720 (LWP 4950)):
#0 0xffffe410 in __kernel_vsyscall ()
No symbol table info available.
#1 0xb750d95b in __waitpid_nocancel () from /lib/tls/i686/cmov/libc.so.6
No symbol table info available.
#2 0xb7af6672 in li...

Read more...

Daniel Holbach (dholbach) wrote :

Thanks, forwarded it upstream.

Our Exchange server was recently upgraded from Exchange 2000 to Exchange
2003, and I have not experienced the same recurring crashing since. It
seems likely to me that this problem only exists when connecting to
exchange 2000.

Jason Martens

Source: evolution-exchange
Source-Version: 2.6.2-1

We believe that the bug you reported is fixed in the latest version of
evolution-exchange, which is due to be installed in the Debian FTP archive:

evolution-exchange_2.6.2-1.diff.gz
  to pool/main/e/evolution-exchange/evolution-exchange_2.6.2-1.diff.gz
evolution-exchange_2.6.2-1.dsc
  to pool/main/e/evolution-exchange/evolution-exchange_2.6.2-1.dsc
evolution-exchange_2.6.2-1_i386.deb
  to pool/main/e/evolution-exchange/evolution-exchange_2.6.2-1_i386.deb
evolution-exchange_2.6.2.orig.tar.gz
  to pool/main/e/evolution-exchange/evolution-exchange_2.6.2.orig.tar.gz

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed. If you
have further comments please address them to <email address hidden>,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Heikki Henriksen <email address hidden> (supplier of updated evolution-exchange package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing <email address hidden>)

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Thu, 8 Jun 2006 16:44:58 +0200
Source: evolution-exchange
Binary: evolution-exchange
Architecture: source i386
Version: 2.6.2-1
Distribution: unstable
Urgency: low
Maintainer: Debian Evolution Maintainers <email address hidden>
Changed-By: Heikki Henriksen <email address hidden>
Description:
 evolution-exchange - Exchange plugin for the Evolution groupware suite
Closes: 278236 341305
Changes:
 evolution-exchange (2.6.2-1) unstable; urgency=low
 .
   [ Heikki Henriksen ]
   * New upstream release
   * Upstream fixes:
     - fix fail/crash on calendar load (closes: #278236, #341305)
   * Rename source package from the old deprecated ximian-connector to evolution-exchange
   * Bump standards-version to 3.7.2, no other changes needed [debian/control]
   * Set maintainer to pkg-evolution-maintainers [debian/control]
   * Update handling of manpage [debian/rules & debian/manpages]
   * Remove chrpath from build-deps [debian/control & debian/rules]
   * Update compat: [debian/compat & debian/control]
 .
   [ Oystein Gisnas ]
   * Update manpage from version 2.2 to 2.6
   * debian/patches/10_bonobo-component-alias.patch: register bonobo
     component properly to avoid e_component_registry_peek_info crash
Files:
 d804ecf54b0b75af7773fc17f27d8a55 1200 gnome optional evolution-exchange_2.6.2-1.dsc
 97dff73b7a82492c56d12ae6cdec3afb 1497479 gnome optional evolution-exchange_2.6.2.orig.tar.gz
 ca642d644993383360dc5f03a6b91666 3884 gnome optional evolution-exchange_2.6.2-1.diff.gz
 4af0dacbcf9bc2d7ba8cad65d034ff36 665386 gnome optional evolution-exchange_2.6.2-1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.3 (GNU/Linux)

iD8DBQFEjZF84VUX8isJIMARArIiAJ0UYbWDRrN4a6stYDs/mWHcdhNOeQCfWP4c
R3/Yq6zXRNMQI9Yj5rDKSu8=
=QmX5
-----END PGP SIGNATURE-----

Changed in evolution-exchange:
status: Unconfirmed → Fix Released
Trent Lloyd (lathiat) wrote :

This appears resolved in debian now

Sebastien Bacher (seb128) wrote :

that bug should be fixed to edgy and will be fixed to dapper-proposed if the new version is accepted for it

Changed in evolution-exchange:
assignee: nobody → desktop-bugs
status: Unconfirmed → Fix Released
Changed in evolution-exchange:
status: Fix Released → Confirmed
Changed in evolution-exchange:
status: Confirmed → Fix Released

Here is an example of the format of the.

AN ALLE FINANZINVESTOREN!
DIESE AKTIE WIRD DURCHSTARTEN!
FREITAG 20. APRIL STARTET DIE HAUSSE!
REALISIERTER KURSGEWINN VON 400%+ IN 5 TAGEN!

Symbol: G7Q.F
Company: COUNTY LINE ENERGY
5 Tages Kursziel: 0.95
Schlusskurs: 0.21
WKN: A0J3B0
ISIN: US2224791077
Markt: Frankfurt

LASSEN SIE SICH DIESE CHANCE NICHT ENTGEHEN!
G7Q WIRD WIE EINE RAKETE DURCHSTARTEN!
UNSERE ERWARTUNGEN WIRD G7Q.F UBERTREFFEN!

This MAY be through a central log coordination point, or MAY be informal.

Changed in libsoup:
status: New → Invalid
Loïc Minier (lool) on 2007-10-19
Changed in libsoup:
status: Confirmed → Invalid
Changed in libsoup:
importance: Unknown → Critical
status: Invalid → Unknown
Changed in evolution-exchange:
importance: Unknown → Critical
Changed in libsoup:
status: Unknown → Invalid
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.